Skip to content

/api/v1/facilities/{facilityId}/locations/{id} (PUT)

PUT
/api/v1/facilities/{facilityId}/locations/{id}
curl --request PUT \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/locations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/yaml' \
--data '{ "maxWeightKg": 1, "maxVolumeLiters": 1, "maxUnits": 1, "storageType": "Pallet", "temperatureClass": "Ambient", "purpose": "Storage" }'
facilityId
required
string format: uuid
id
required
string format: uuid
object
maxWeightKg
required
number format: double
nullable
maxVolumeLiters
required
number format: double
nullable
maxUnits
required
integer format: int32
nullable
storageType
required
string
nullable
Allowed values: Pallet Shelf Bin Floor Flow
temperatureClass
required
string
nullable
Allowed values: Ambient Chilled Frozen
purpose
string
nullable
Allowed values: Storage Dock Staging

OK

object
id
required
string format: uuid
facilityId
required
string format: uuid
code
required
string
ownerKind
required
string
ownerNodeId
required
string format: uuid
ownerNodeCode
required
string
ownerNodeName
required
string
nodeType
required
string
status
required
string
zones
required
Array<object>
object
zoneId
required
string format: uuid
zoneCode
required
string
zoneName
required
string
zoneProfileId
required
string format: uuid
zoneProfileName
required
string
zoneProfileIsActive
required
boolean
attributes
required
object
maxWeightKg
required
number format: double
nullable
maxVolumeLiters
required
number format: double
nullable
maxUnits
required
integer format: int32
nullable
storageType
required
string
nullable
temperatureClass
required
string
nullable
purpose
required
string

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable